Bug 269941 - Review Request: gmyth - MythTV remote access libraries
Review Request: gmyth - MythTV remote access libraries
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-30 19:25 EDT by Bastien Nocera
Modified: 2007-11-30 17:12 EST (History)
5 users (show)

See Also:
Fixed In Version: 0.4-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-22 14:50:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mclasen: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2007-08-30 19:25:34 EDT
Spec URL: http://people.redhat.com/bnocera/gmyth/gmyth.spec
SRPM URL: http://people.redhat.com/bnocera/gmyth/gmyth-0.4-1.src.rpm
Description: GMyth is a library used by applications to access content provided by the MythTV set-top box framework, such as Live TV broadcasts, TV recordings, or TV listings.
Comment 1 Matthias Clasen 2007-09-06 09:56:57 EDT
The src url doesn't work. wget fails with "20 redirections exceeded."
Comment 2 Bastien Nocera 2007-09-06 10:06:10 EDT
Sourceforge is sucking a lot right now, and won't let me download the sources
from anywhere. Hopefully that's only temporary.
Comment 3 Matthias Clasen 2007-09-06 10:19:55 EDT
Preliminary comments: 

devel should require %{name} = %{version}-%{release}
devel needs to require pkgconfig
could use %{?_smp_mflags}, maybe
should use %{_includedir} in the file list
Comment 4 Bastien Nocera 2007-09-06 10:59:27 EDT
(In reply to comment #3)
> Preliminary comments: 
> 
> devel should require %{name} = %{version}-%{release}

I don't really agree with that one, but I fixed it anyway.

> devel needs to require pkgconfig

And glib2-devel, mysql-devel and curl-devel, otherwise it won't link...

> could use %{?_smp_mflags}, maybe

Fixed.

> should use %{_includedir} in the file list

Don't know how I didn't see that.

http://people.redhat.com/bnocera/gmyth/gmyth.spec
http://people.redhat.com/bnocera/gmyth/gmyth-0.4-2.src.rpm
Comment 5 Matthias Clasen 2007-09-06 12:51:45 EDT
> > devel should require %{name} = %{version}-%{release}
> 
> I don't really agree with that one, but I fixed it anyway.

Do you disagree with the %{name+ part, or the %{release} part ? 
I only care about %{release}.
Comment 6 Matthias Clasen 2007-09-06 13:10:18 EDT
rpmlint output:

[mclasen@localhost Desktop]$ rpmlint
/var/lib/mock/fedora-development-i386/result/gmyth-*.rpm
gmyth.i386: E: zero-length /usr/share/doc/gmyth-0.4/NEWS
gmyth.i386: E: zero-length /usr/share/doc/gmyth-0.4/README

should just remove those

gmyth-debuginfo.i386: W: spurious-executable-perm
/usr/src/debug/gmyth/src/gmyth_monitor_handler.h
gmyth-debuginfo.i386: W: spurious-executable-perm
/usr/src/debug/gmyth/src/gmyth_uri.h
gmyth-debuginfo.i386: W: spurious-executable-perm
/usr/src/debug/gmyth/src/gmyth_uri.c
gmyth-debuginfo.i386: W: spurious-executable-perm
/usr/src/debug/gmyth/src/gmyth_file.h
gmyth-debuginfo.i386: W: spurious-executable-perm
/usr/src/debug/gmyth/src/gmyth_file_local.h
gmyth-debuginfo.i386: W: spurious-executable-perm
/usr/src/debug/gmyth/src/gmyth_file_transfer.c
gmyth-debuginfo.i386: W: spurious-executable-perm
/usr/src/debug/gmyth/src/gmyth_file_local.c
gmyth-debuginfo.i386: W: spurious-executable-perm
/usr/src/debug/gmyth/src/gmyth_file_transfer.h
gmyth-debuginfo.i386: W: spurious-executable-perm
/usr/src/debug/gmyth/src/gmyth_file.c
gmyth-debuginfo.i386: W: spurious-executable-perm
/usr/src/debug/gmyth/src/gmyth_livetv.h
gmyth-debuginfo.i386: W: spurious-executable-perm
/usr/src/debug/gmyth/src/gmyth_livetv.c

these should probably be fixed

gmyth-devel.i386: W: no-documentation

ignorable
Comment 7 Matthias Clasen 2007-09-06 13:42:10 EDT
package names: ok
spec file name: ok
packaging guidelines: ok
license: COPYING is GPL, sources say LGPL - what gives ? 
  should seek upstream clarification
license field: ok
license file: ok
spec file language: ok
spec file readable: ok
upstream sources: not verified, see above
buildable: ok
exludearch: n/a
BRs: ok
locale handling: ok
shared lib scriptlets: ok
relocatable: n/a
directory ownership: ok
duplicate files: ok
permissions: ok, except for the rpmlint complaint above
%clean: ok
macro use: ok
content: permissible
large docs: n/a
%doc content: ok
header files: ok
static libs: n/a
pc files: ok
shared libs: ok
devel requirement: ok
la files: ok
gui apps: n/a
directory ownership: ok
%install: ok
utf8 filenames: ok

Comment 8 Till Maas 2007-09-08 03:25:41 EDT
(In reply to comment #2)
> Sourceforge is sucking a lot right now, and won't let me download the sources
> from anywhere. Hopefully that's only temporary.

Do not use: 
Source: 
http://belnet.dl.sourceforge.net/sourceforge/gmyth/%{name}_%{version}.tar.gz

Use: 
Source0: http://downloads.sourceforge.net/%{name}/%{name}_%{version}.tar.gz
It is in the Guidelines:
http://fedoraproject.org/wiki/Packaging/SourceURL#head-e27982f18a3bfd26b5b6ecbee113d2d8f3f006f2
Comment 9 Bastien Nocera 2007-09-08 06:53:52 EDT
(In reply to comment #6)
> rpmlint output:
> 
> [mclasen@localhost Desktop]$ rpmlint
> /var/lib/mock/fedora-development-i386/result/gmyth-*.rpm
> gmyth.i386: E: zero-length /usr/share/doc/gmyth-0.4/NEWS
> gmyth.i386: E: zero-length /usr/share/doc/gmyth-0.4/README
> 
> should just remove those

Done.

> gmyth-debuginfo.i386: W: spurious-executable-perm
> /usr/src/debug/gmyth/src/gmyth_monitor_handler.h
<snip>
> 
> these should probably be fixed

Done.

(In reply to comment #7)
<snip>
> license: COPYING is GPL, sources say LGPL - what gives ? 
>   should seek upstream clarification

It's LGPL, the sources and the project page say LGPL. I filed a bug upstream:
http://sourceforge.net/tracker/index.php?func=detail&aid=1790620&group_id=177106&atid=879914
and mentioned it in the package

> upstream sources: not verified, see above

Fixed, thanks Till.

http://people.redhat.com/bnocera/gmyth/gmyth.spec
http://people.redhat.com/bnocera/gmyth/gmyth-0.4-3.src.rpm
Comment 10 Parag AN(पराग) 2007-09-19 23:53:24 EDT
good to use dist tag though its not a BLOCKER.

     
Comment 11 Matthias Clasen 2007-09-20 19:17:06 EDT
All looks good now. Approved.
Comment 12 Bastien Nocera 2007-09-21 05:54:43 EDT
Thanks Matthias! I'll add the disttag when I commit it.

New Package CVS Request
=======================
Package Name: gmyth
Short Description: MythTV remote access libraries
Owners: hadess
Branches: 
InitialCC: 
Cvsextras Commits: Yes
Comment 13 Kevin Fenzi 2007-09-21 12:49:41 EDT
cvs done.
Comment 14 Bastien Nocera 2007-09-22 14:50:42 EDT
Built in rawhide. Thanks for the review!

Note You need to log in before you can comment on or make changes to this bug.